Bug 1004103 - Trailing spaces and incorrect newline characters in software strings to be localized [NEEDINFO]
Trailing spaces and incorrect newline characters in software strings to be lo...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-zanata-client (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Patrick Huang
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 20:10 EDT by Isaac Rooskov
Modified: 2015-08-06 01:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:26:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dchen: needinfo? (irooskov)


Attachments (Terms of Use)
Screenshot: Translation Redundnt Whitespaces in Translation editor view (73.37 KB, image/png)
2014-03-20 19:54 EDT, Ding-Yi Chen
no flags Details
Screenshot: Translation Redundnt Character in translated product (47.08 KB, image/png)
2014-03-20 19:55 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Comment 2 Ding-Yi Chen 2014-03-20 19:53:09 EDT
Description of problem:

Trailing spaces and accidentally-copied pilcrow (newline) characters in software strings to be localized. 

See the screenshots in attachments. 

Version-Release number of selected component (if applicable):

3.0

How reproducible:

100%

Steps to Reproduce:
1. Open a newly created software strings localization project
2. Notice the unnecessary spaces and newline characters
3. This causes issues when the translated strings are then placed into the software GUI

Actual results:

Trailing spaces and accidentally-copied pilcrow (newline) characters in software strings to be localized. 

Expected results:

No trailing spaces on string lines, and no newline characters.
Comment 3 Ding-Yi Chen 2014-03-20 19:54:29 EDT
Created attachment 877066 [details]
Screenshot: Translation Redundnt Whitespaces in Translation editor view
Comment 4 Ding-Yi Chen 2014-03-20 19:55:41 EDT
Created attachment 877067 [details]
Screenshot: Translation Redundnt Character in translated product
Comment 5 Ding-Yi Chen 2014-03-20 19:59:31 EDT
Issac,

Do you think the best way to address this is providing a validator that check for excessive picow?
Comment 8 Zanata Migrator 2015-07-28 23:26:12 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-260

Note You need to log in before you can comment on or make changes to this bug.